using Siger.Middlelayer.Utility.ExcelImport;

namespace Siger.Middlelayer.Utility.ImportEntities
{
    public class ImportBasketOperate:ImportBase
    {
        [ExcelColumn("序号")]
        [DonnetValidate]
        [DonnetCreate]
        public int No { get; set; }
        [ExcelColumn("产品编号")]
        public string ProductId { get; set; }
        [ExcelColumn("产品名称")]
        public string ProductName { get; set; }
        [ExcelColumn("产品型号")]
        public string ProductType { get; set; }
        [ExcelColumn("订单号")]
        public string OrderNum { get; set; }
        [ExcelColumn("工单号")]
        public string WrokCode { get; set; }

        [ExcelColumn("工站")]
        public string Station { get; set; }
        [ExcelColumn("工位")]
        public string Position { get; set; }
        [ExcelColumn("设备编号")]
        public string MachineCode { get; set; }
        [ExcelColumn("料框")]
        public string BasketNo { get; set; }
        [ExcelColumn("操作")]
        public string Report { get; set; }
        [ExcelColumn("订单数量")]
        public int OrderCount { get; set; }
        [ExcelColumn("OK数量")]
        public int OkCount { get; set; }
        [ExcelColumn("工废数量")]
        public int Nok { get; set; }
        [ExcelColumn("工废数量")]
        public int Nok2 { get; set; }
        [ExcelColumn("不良率")]
        public string Rate { get; set; }
        [ExcelColumn("是否通过")]
        public string IsPass { get; set; }
        [ExcelColumn("备注")]
        public string Remark { get; set; }
        [ExcelColumn("登录人员")]
        public string Login { get; set; }
        [ExcelColumn("操作人员")]
        public string OperateUser { get; set; }
        [ExcelColumn("操作时间")]
        public string OperateTime { get; set; }
    }
}
